Subject: Re: bug#16740: 24.2; Please allow C-p and C-n in minibuffer

From: Stefan Kangas <[email-masked]>
Date: Fri, 24 Dec 2021 22:28:13 -0800

Stefan Monnier <[email-masked]> writes:

>>> But we could make C-p/C-n jump to the previous/next history element
>>> when called from the first/last line, which would combine both
>>> behaviors. The implementation should be careful to make sure that
>>> C-p followed by C-n brings you back to the same position (same for
>>> C-n followed by C-p), otherwise such behavior can get irritating
>>> when you accidentally hit C-p from the first line.
>> Just makes the user interaction more confusing.
>
> I wouldn't like it, indeed, and I don't think it would make sense as
> a default.  But an option could provide that behavior.

No one has implemented this in 8 years, so I'm leaning towards closing
this feature request.  If anyone thinks it should remain open, please
speak up.  Thanks.